de.esprit.netsuite.server.cfg

## Class ServerConfigObject

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.cfg.ServerConfigObject

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    AbstractServerParameters, NetworkConfig

      public abstract class ServerConfigObject
      extends TransferableObject

  This class ...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConfigObject(java.lang.String configFileName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `configFileIn(java.io.File configDir)` Expands to the full file path of the network config file.
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getConfigFileName()`
    `int` | `hashCode()`
    `abstract void` | `read(ApplicationContext ctx, java.io.File configDir)`
    `void` | `read(ServerContext serverCtx)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `abstract void` | `write(ApplicationContext ctx, java.io.File configDir)`
    `void` | `write(ServerContext serverCtx)`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConfigObject

          public ServerConfigObject(java.lang.String configFileName)

  - ### Method Detail

    - #### getConfigFileName

          public java.lang.String getConfigFileName()

    - #### configFileIn

          public final java.io.File configFileIn(java.io.File configDir)

      Expands to the full file path of the network config file.

    - #### write

          public abstract void write(ApplicationContext ctx,
                   java.io.File configDir)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### read

          public abstract void read(ApplicationContext ctx,
                  java.io.File configDir)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### write

          public final void write(ServerContext serverCtx)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### read

          public final void read(ServerContext serverCtx)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.